function ypologismos_elatiriakon() {
	var eidos_edafous=document.getElementById("eidos_edafous").value;
	var mikos_l=document.getElementById("mikos_l").value;
	var platos_b=document.getElementById("platos_b").value;
	var vathos_d=document.getElementById("vathos_d").value;
	var vasiki_ks=document.getElementById("vasiki_ks").value;
	var diastaseis_bp=document.getElementById("diastaseis_bp").value;

	if(mikos_l<0 || platos_b<0 || vathos_d<0 || vasiki_ks<0 || diastaseis_bp<0 || platos_b>mikos_l) {
		document.getElementById("syntelestis_nd").value="Λάθος δεδομένα";
		document.getElementById("syntelestis_nsx").value="Λάθος δεδομένα";
		document.getElementById("syntelestis_nb").value="Λάθος δεδομένα";
		document.getElementById("teliki_ks").value="Λάθος δεδομένα";
		document.getElementById("elatiriaki_kz").value="Λάθος δεδομένα";
		document.getElementById("elatiriaki_krl").value="Λάθος δεδομένα";
		document.getElementById("elatiriaki_krb").value="Λάθος δεδομένα";
		return;
	}

	if(eidos_edafous==="ammos") {
		syntelestis_nd=Math.pow((1*platos_b+1*diastaseis_bp)/(2*platos_b), 2);
		syntelestis_nb=1+2*vathos_d/platos_b;
	}

	if(eidos_edafous==="argilos") {
		syntelestis_nd=diastaseis_bp/platos_b;
		syntelestis_nb=1;
	}
	
	var syntelestis_nsx=(1/3)*(2+platos_b/mikos_l);
	var teliki_ks=vasiki_ks*syntelestis_nd*syntelestis_nsx*syntelestis_nb;
	var elatiriaki_kz=teliki_ks*mikos_l*platos_b;
	var elatiriaki_krl=(teliki_ks*mikos_l*Math.pow(platos_b, 3))/12;
	var elatiriaki_krb=(teliki_ks*Math.pow(mikos_l, 3)*platos_b)/12;

	document.getElementById("syntelestis_nd").value=Number((syntelestis_nd).toFixed(2));
	document.getElementById("syntelestis_nsx").value=Number((syntelestis_nsx).toFixed(2));
	document.getElementById("syntelestis_nb").value=Number((syntelestis_nb).toFixed(2));
	document.getElementById("teliki_ks").value=Number((teliki_ks).toFixed(2));
	document.getElementById("elatiriaki_kz").value=Number((elatiriaki_kz).toFixed(2));
	document.getElementById("elatiriaki_krl").value=Number((elatiriaki_krl).toFixed(2));
	document.getElementById("elatiriaki_krb").value=Number((elatiriaki_krb).toFixed(2));

	return;
}

function ypologismos_statikon() {
	var mikos_l=parseFloat(document.getElementById("mikos_them_l").value);
	var platos_b=parseFloat(document.getElementById("platos_them_b").value);
	var metro_g=parseFloat(document.getElementById("metro_g").value);
	var deiktis_v=parseFloat(document.getElementById("deiktis_v").value);

	if(mikos_l<0 || platos_b<0 || metro_g<0 || deiktis_v<0 || platos_b>mikos_l || deiktis_v<0 || deiktis_v>0.5) {
		document.getElementById("deiktis_kz").value="Λάθος δεδομένα";
		document.getElementById("deiktis_krl").value="Λάθος δεδομένα";
		document.getElementById("deiktis_krb").value="Λάθος δεδομένα";
		return;
	}

	var deiktis_kz=metro_g*mikos_l/(1-deiktis_v)*(0.73+1.54*Math.pow((platos_b/mikos_l), 0.75));
	var deiktis_krl=metro_g*mikos_l*Math.pow(platos_b, 2)/(Math.pow(12, 0.75)*(1-deiktis_v))*(2.4+0.5*platos_b/mikos_l);
	var deiktis_krb=3*metro_g*Math.pow(mikos_l, 2.4)*Math.pow(platos_b, 0.6)/(Math.pow(12, 0.75)*(1-deiktis_v));

	if(mikos_l===platos_b) deiktis_krb=deiktis_krl;	

	document.getElementById("deiktis_kz").value=Number((deiktis_kz).toFixed(2));
	document.getElementById("deiktis_krl").value=Number((deiktis_krl).toFixed(2));
	document.getElementById("deiktis_krb").value=Number((deiktis_krb).toFixed(2));

	return;
}